Saltar al contenido principal
GET
/
api
/
v1
/
brcode
/
lotecobv
Consultar lotes de cobranzas con vencimiento
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "lotes": [
    {
      "cobsv": [
        {
          "txid": "<string>",
          "criacao": "<string>",
          "problema": {
            "status": 123,
            "title": "<string>",
            "type": "<string>",
            "correlationId": "<string>",
            "detail": "<string>",
            "violacoes": [
              {
                "propriedade": "<string>",
                "razao": "<string>",
                "valor": "<string>"
              }
            ]
          }
        }
      ],
      "criacao": "<string>",
      "descricao": "<string>",
      "id": "<string>"
    }
  ],
  "parametros": {
    "fim": "<string>",
    "inicio": "<string>",
    "paginacao": {
      "itensPorPagina": 123,
      "paginaAtual": 123,
      "quantidadeDePaginas": 123,
      "quantidadeTotalDeItens": 123
    }
  }
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de consulta

inicio
string
requerido

Início do filtro de criação (RFC 3339).

fim
string
requerido

Fim do filtro de criação (RFC 3339).

paginacao.paginaAtual
integer<int64>

Página a ser retornada (0-based).

Rango requerido: x >= 0
paginacao.itensPorPagina
integer<int64>

Itens por página (1..1000).

Rango requerido: 1 <= x <= 1000

Respuesta

OK

lotes
object[] | null
requerido
parametros
object
requerido